<?php
declare(strict_types=1);

namespace App\Entity\Billing;

use Doctrine\ORM\Mapping as ORM;

/**
 * Fais le lien entre l'Access qui règle la facture et l'Access ou
 * l'EducationalProject concerné par la facture
 * Classe de base de @see  AccessPayer, EducationalProjectPayer
 */
#[ORM\MappedSuperclass]
abstract class AbstractBillingPayer{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    protected ?int $id = null;

    public function getId(): ?int
    {
        return $this->id;
    }
}
